<#if ctrl.getPanelStyle() == "ROW">
<div class="meditviewpanel-type-row">
    <template v-for="(edit, index) of ${ctrl.name}.editCtrls">
        <div class="panel-item">
            <div class="panel-item-left">
                <component is="${filename(ctrl.getPSAppDEView().codeName)}_embeddedview" 
                :params="{srfkey: edit.srfkey}"
                :saveRefView="edit.saveRefView"
                :srfParentMode="viewController.srfParentMode" 
                :srfParentData="viewController.srfParentData"
                @onEditFormFieldChanged="${ctrl.name}.onEditFormFieldChanged($event, edit)"
                @onEditFormSaved="${ctrl.name}.onEditFormSaved($event, edit)"
                <#if ctrl.getHeight() gt 0>style="height: ${ctrl.getHeight()?c}px;overflow: auto;"</#if>>
            </component>
            </div>
            <div class="panel-item-right">
                <Icon type="md-close" @click="${ctrl.name}.onRemoveEditView(index)"/>
            </div>
        </div>
    </template>
    <div class="panel-footer">
        <Button type="primary" @click="${ctrl.name}.addEditView()">新建</Button>
    </div>
</div>
<#else>
<tabs type="card" v-model="${ctrl.name}.activeTab" :before-remove="${ctrl.name}.onBeforeRemove()" closable @on-tab-remove="${ctrl.name}.onRemoveEditView($event)" :animated="false">
    <template v-for="(edit, index) of ${ctrl.name}.editCtrls">
        <tab-pane :label="edit.srfmajortext" :name="index">
            <component is="${filename(ctrl.getPSAppDEView().codeName)}_embeddedview" 
                :params="{srfkey: edit.srfkey}"
                :saveRefView="edit.saveRefView"
                :srfParentMode="viewController.srfParentMode" 
                :srfParentData="viewController.srfParentData"
                @onEditFormFieldChanged="${ctrl.name}.onEditFormFieldChanged($event, edit)"
                @onEditFormSaved="${ctrl.name}.onEditFormSaved($event, edit)"
                <#if ctrl.getHeight() gt 0>style="height: ${ctrl.getHeight()?c}px;overflow: auto;"</#if>>
            </component>
        </tab-pane>
    </template>
    <Button size="small" slot="extra" @click="${ctrl.name}.addEditView()">添加</Button>
</tabs>
</#if>